<?php
/*
Copyright (C) 2007 Mercier Benjamin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
*/
$ListTable = $MySql->Select ("*", "domaine", "Utilisateur='".$_SESSION['Utilisateur']."'", "", "", "", "");
$CountEnregistrement = count ($ListTable);
if ( $ListTable == FALSE ) { $CountEnregistrement = 0; }

?>
<h3>Récapitulatif de vos noms de domaine externes <a style="border: 0px;" href="http://doc.kelio.org/gerer_les_noms_de_domaine"><img style="vertical-align:middle; border: 0px;" src="img/icons-panel/question.png" alt="Aide" title="Aide" /></a></h3>
<p class="notice">
	Actuellement, vous avez <?php echo $CountEnregistrement; ?> domaine(s)<?php if ($_SESSION['Offre']['Domaine'] != '-1'):?> sur <?php echo $_SESSION['Offre']['Domaine']; ?> autorisé(s)<?php endif;?>.
</p>
<p>
	Cette catégorie sert à indiquer au serveur web que tel nom de domaine (ou sous-somaine) doit se rendre dans tel dossier.
	<br />Ainsi, vous pouvez ajouter plusieurs noms de domaine (ou sous-domaine) et gérer en parralèle plusieurs sites web dans votre compte.
	<br />Exemple : <strong><?php echo $_SESSION['Utilisateur']; ?>.kelio.org</strong> est relié à votre dossier <strong>/var/www/web/<?php echo $_SESSION['Utilisateur']; ?>/public/</strong>. Les données que vous déposerez dans ce dossier apparaitront sur ce site.
</p>

<p>Passez votre souris sur le commentaire pour le voir en entier.<br />Idem pour le chemin, ainsi que le basedir</p>
<p>
	Le statut "Création" signifie que votre domaine est en attente de création par notre robot. <br />
	Normalement, cette opération prend moins d'une heure.<br />
	Il en est de même pour le statut "Suppression".
</p>

<div>
	<table>
		<thead>
			<tr>
				<th>Adresse</th>
				<th>Date</th>
				<th>Statut</th>
				<th>Racine</th>
				<th>Basedir</th>
				<th>Commentaire</th>
			</tr>
		</thead>
		<tbody>
<?php

if ( $ListTable == FALSE )
	{
	echo '<tr><td style="text-align: center; font-weight: bold;" colspan="6">Aucun domaine pour le moment</td></tr>';
	}
else
	{
	for ($i=0; $i < $CountEnregistrement; $i++)
		{
		if ( $ListTable[$i]["Status"] == "1" )
			{
			$Status = "<img src=\"img/icons-panel/wait.png\" style=\"vertical-align: middle;\" alt=\"Création\" /> Création";
			}
		elseif ( $ListTable[$i]["Status"] == "2" )
			{
			$Status = "<img src=\"img/icons-panel/active.png\" style=\"vertical-align: middle;\" alt=\"Activé\" /> Activé";
			}
		elseif ( $ListTable[$i]["Status"] == "3" )
			{
			$Status = "<img src=\"img/icons-panel/delete.png\" style=\"vertical-align: middle;\" alt=\"Suppresion\" /> Suppression";
			}
		else
			{
			$Status = "<img src=\"img/icons-panel/error.png\" style=\"vertical-align: middle;\" alt=\"Erreur\" /> Erreur";
			}
		
		if ( strlen($ListTable[$i]["Adresse"]) > 10 )
			{
			$Adresse = substr($ListTable[$i]["Adresse"], 0, 10)." ...";
			}
		else
			{
			$Adresse = $ListTable[$i]["Adresse"];
			}
		
		if ( strlen($ListTable[$i]["Racine"]) > 16 )
			{
			$Racine = substr($ListTable[$i]["Racine"], 0 ,16)." ...";
			}
		else
			{
			$Racine = $ListTable[$i]["Racine"];
			}
			
		if ( strlen ($ListTable[$i]["OpenBasedir"]) > 16 )
			{
			$Basedir = substr($ListTable[$i]["OpenBasedir"], 0 ,16)." ...";
			}
		else
			{
			$Basedir = $ListTable[$i]["OpenBasedir"];
			}
		
		if ( strlen ($ListTable[$i]["Commentaire"]) > 13 )
			{
			$Commentaire = substr($ListTable[$i]["Commentaire"], 0 ,16)." ...";
			}
		elseif ( strlen ($ListTable[$i]["Commentaire"]) == 0)
			{
			$Commentaire = "-";
			}
		else
			{
			$Commentaire = $ListTable[$i]["Commentaire"];
			}
			
		
		echo '
		<tr>
		<td><span style="cursor: help;" title="'.$ListTable[$i]["Adresse"].'">'.$Adresse.'</span></td>
		<td><span style="cursor: help;" title="'.date ("d-m-Y H:i:s",$ListTable[$i]["DateDeCreation"]).'">'.date("d-m-Y", $ListTable[$i]["DateDeCreation"]).'</span></td>
		<td>'.$Status.'</td>
		<td><span style="cursor: help;" title="'.$ListTable[$i]["Racine"].'">'.$Racine.'</span></td>
		<td><span style="cursor: help;" title="'.$ListTable[$i]["OpenBasedir"].'">'.$Basedir.'</span></td>
		<td><span style="cursor: help;" title="'.$ListTable[$i]["Commentaire"].'">'.$Commentaire.'</span></td>
		</tr>';
		
		}
	}
?>
		</tbody>
	</table>
</div>
